Welcome to the forum, Guest

TOPIC: Manjaro Install

Manjaro Install 6 months 2 weeks ago #6762

hitchcock416

Offline

Fresh Boarder

Posts: 3

Karma: 0

I am getting the following error while trying to install:
/usr/bin/ld: warning: libicuuc.so.70, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libpdfium.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libpdfium.so: undefined reference to `u_toupper_70'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libpdfium.so: undefined reference to `u_isspace_70'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libpdfium.so: undefined reference to `u_tolower_70'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libpdfium.so: undefined reference to `u_isalnum_70'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libpdfium.so: undefined reference to `u_isalpha_70'

I see a pinned comment in the AUR that I might need to rebuild libpdfium. Can someone please explain how to do that or point me to another link that would show me? My google skills are failing me. I haven't had to rebuild a package before. I have removed and reinstalled libpdfium-nojs package but that doesn't seem to help.
The administrator has disabled public write access.

Manjaro Install 6 months 2 weeks ago #6763

selmf

Offline

Developer

Posts: 620

Thank you received: 133

Karma: 18

The common way to rebuild an AUR package is to run makepkg with the force flag:
makepkg -f

AUR helpers should provide a similar mechanism. A quick google search with the terms "rebuild package" plus the name of the helper of your choice should help you find an answer on how to do it.
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.
Powered by Kunena Forum